﻿<ResourceDictionary xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
                    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
                    xmlns:local="clr-namespace:HiVE.BasicModels.UI.Helpers.ResourceDictionaries">

    <Color x:Key="MetroUI.UpDownTriangleColor">#FFF3A622</Color>
    <SolidColorBrush x:Key="MetroUI.UpDownTriangleSolidBrush" Color="{DynamicResource MetroUI.UpDownTriangleColor}" />

    <Style x:Key="MetroUI.PathStyle.Dark" TargetType="{x:Type Path}">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="Margin" Value="10"/>
        <Setter Property="Focusable" Value="False"/>
        <Setter Property="Stretch" Value="Uniform"/>
        <Setter Property="StrokeThickness" Value="1.5"/>
        <Setter Property="Stroke" Value="#2c302d"/>
    </Style>

    <Style x:Key="MetroUI.PathStyle.Line.Horizontal" TargetType="{x:Type Path}">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="Margin" Value="0,5"/>
        <Setter Property="Focusable" Value="False"/>
        <Setter Property="Stretch" Value="Uniform"/>
        <Setter Property="StrokeThickness" Value="1.5"/>
        <Setter Property="Stroke" Value="#2c302d"/>
        <Setter Property="Data" Value="M 0 0 L 1 0"/>
    </Style>

    <Style x:Key="MetroUI.PathStyle.Line.Vertical" TargetType="{x:Type Path}">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="Margin" Value="5,10"/>
        <Setter Property="Focusable" Value="False"/>
        <Setter Property="Stretch" Value="Uniform"/>
        <Setter Property="StrokeThickness" Value="1"/>
        <Setter Property="Stroke" Value="#2c302d"/>
        <Setter Property="Data" Value="M 0 0 L 0 1"/>
    </Style>

    <Style x:Key="MetroUI.PathStyle.Line.Horizontal.Light" TargetType="{x:Type Path}">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="Margin" Value="4,2"/>
        <Setter Property="Focusable" Value="False"/>
        <Setter Property="Stretch" Value="Uniform"/>
        <Setter Property="StrokeThickness" Value="1"/>
        <Setter Property="Stroke" Value="#bdbdbd"/>
        <Setter Property="Data" Value="M 0 0 L 1 0"/>
    </Style>

    <Style x:Key="MetroUI.PathStyle.Line.Vertical.Light" TargetType="{x:Type Path}">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="Margin" Value="2,4"/>
        <Setter Property="Focusable" Value="False"/>
        <Setter Property="Stretch" Value="Uniform"/>
        <Setter Property="StrokeThickness" Value="1"/>
        <Setter Property="Stroke" Value="#bdbdbd"/>
        <Setter Property="Data" Value="M 0 0 L 0 1"/>
    </Style>

    <Style x:Key="MetroUI.PathStyle.Dark.OrderType" TargetType="{x:Type Path}">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="Margin" Value="10"/>
        <Setter Property="Focusable" Value="False"/>
        <Setter Property="Stretch" Value="Uniform"/>
        <Setter Property="StrokeThickness" Value="3"/>
        <Setter Property="Stroke" Value="#2c302d"/>
    </Style>

    <Style x:Key="MetroUI.PathStyle.Line.Horizontal.OrderType" TargetType="{x:Type Path}">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="Margin" Value="-1.5,0"/>
        <Setter Property="Focusable" Value="False"/>
        <Setter Property="Stretch" Value="Uniform"/>
        <Setter Property="StrokeThickness" Value="3"/>
        <Setter Property="Stroke" Value="#2c302d"/>
        <Setter Property="Data" Value="M 0 0 L 1 0"/>
    </Style>

    <Style x:Key="MetroUI.PathStyle.Line.Vertical.OrderType" TargetType="{x:Type Path}">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="Margin" Value="0,-1.5"/>
        <Setter Property="Focusable" Value="False"/>
        <Setter Property="Stretch" Value="Uniform"/>
        <Setter Property="StrokeThickness" Value="3"/>
        <Setter Property="Stroke" Value="#2c302d"/>
        <Setter Property="Data" Value="M 0 0 L 0 1"/>
    </Style>

    <Style x:Key="MetroUI.PathStyle.Line.Horizontal.Carts" TargetType="{x:Type Path}">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="Margin" Value="-1.5,0"/>
        <Setter Property="Focusable" Value="False"/>
        <Setter Property="Stretch" Value="Uniform"/>
        <Setter Property="StrokeThickness" Value="3"/>
        <Setter Property="Stroke" Value="#2c302d"/>
        <Setter Property="Data" Value="M 0 0 L 1 0"/>
    </Style>

    <Style x:Key="MetroUI.PathStyle.Line.Vertical.Carts" TargetType="{x:Type Path}">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="Margin" Value="0,-1.5"/>
        <Setter Property="Focusable" Value="False"/>
        <Setter Property="Stretch" Value="Uniform"/>
        <Setter Property="StrokeThickness" Value="3"/>
        <Setter Property="Stroke" Value="#2c302d"/>
        <Setter Property="Data" Value="M 0 0 L 0 1"/>
    </Style>

    <Style x:Key="MetroUI.PathStyle.Line.Horizontal.Primary.ListBoxItem" TargetType="{x:Type Path}">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="Margin" Value="-1.5,0"/>
        <Setter Property="Focusable" Value="False"/>
        <Setter Property="Stretch" Value="Uniform"/>
        <Setter Property="StrokeThickness" Value="3"/>
        <Setter Property="Stroke" Value="{Binding Path=BorderBrush, RelativeSource={RelativeSource AncestorType={x:Type ListBoxItem}}}"/>
        <Setter Property="Data" Value="M 0 0 L 1 0"/>
    </Style>

    <Style x:Key="MetroUI.PathStyle.Line.Vertical.Primary.ListBoxItem" TargetType="{x:Type Path}">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="Margin" Value="0,-1.5"/>
        <Setter Property="Focusable" Value="False"/>
        <Setter Property="Stretch" Value="Uniform"/>
        <Setter Property="StrokeThickness" Value="3"/>
        <!--<Setter Property="Fill" Value="{Binding Path=BorderBrush, RelativeSource={RelativeSource AncestorType={x:Type ListBoxItem}}}"/>-->
        <!--<Setter Property="Stroke" Value="{Binding Path=BorderBrush, RelativeSource={RelativeSource AncestorType={x:Type ListBoxItem}}}"/>-->
        <Setter Property="Data" Value="M 0 0 L 0 1"/>
    </Style>

    <Style x:Key="MetroUI.PathStyle.Line.Horizontal.Primary.ListBoxItem.Light" TargetType="{x:Type Path}">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="Margin" Value="4,2"/>
        <Setter Property="Focusable" Value="False"/>
        <Setter Property="Stretch" Value="Uniform"/>
        <Setter Property="StrokeThickness" Value="1"/>
        <Setter Property="Stroke" Value="{Binding Path=BorderBrush, RelativeSource={RelativeSource AncestorType={x:Type ListBoxItem}}}"/>
        <Setter Property="Data" Value="M 0 0 L 1 0"/>
    </Style>

    <Style x:Key="MetroUI.PathStyle.Line.Vertical.Primary.ListBoxItem.Light" TargetType="{x:Type Path}">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="Margin" Value="2,4"/>
        <Setter Property="Focusable" Value="False"/>
        <Setter Property="Stretch" Value="Uniform"/>
        <Setter Property="StrokeThickness" Value="1"/>
        <Setter Property="Stroke" Value="{Binding Path=Foreground, RelativeSource={RelativeSource AncestorType={x:Type ListBoxItem}}}"/>
        <Setter Property="Data" Value="M 0 0 L 0 1"/>
    </Style>

    <Style x:Key="MetroUI.PathStyle.Line.Horizontal.Secondary.ListBoxItem" TargetType="{x:Type Path}">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="Margin" Value="-1.5,0"/>
        <Setter Property="Focusable" Value="False"/>
        <Setter Property="Stretch" Value="Uniform"/>
        <Setter Property="StrokeThickness" Value="3"/>
        <Setter Property="Stroke" Value="{Binding Path=Foreground, RelativeSource={RelativeSource AncestorType={x:Type ListBoxItem}}}"/>
        <Setter Property="Data" Value="M 0 0 L 1 0"/>
    </Style>

    <Style x:Key="MetroUI.PathStyle.Line.Vertical.Secondary.ListBoxItem" TargetType="{x:Type Path}">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="Margin" Value="0,-1.5"/>
        <Setter Property="Focusable" Value="False"/>
        <Setter Property="Stretch" Value="Uniform"/>
        <Setter Property="StrokeThickness" Value="3"/>
        <Setter Property="Stroke" Value="{Binding Path=Foreground, RelativeSource={RelativeSource AncestorType={x:Type ListBoxItem}}}"/>
        <Setter Property="Data" Value="M 0 0 L 0 1"/>
    </Style>

    <Style x:Key="MetroUI.PathStyle.Line.Horizontal.Secondary.ListBoxItem.Light" TargetType="{x:Type Path}">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="Margin" Value="4,2"/>
        <Setter Property="Focusable" Value="False"/>
        <Setter Property="Stretch" Value="Uniform"/>
        <Setter Property="StrokeThickness" Value="1"/>
        <Setter Property="Stroke" Value="{Binding Path=Foreground, RelativeSource={RelativeSource AncestorType={x:Type ListBoxItem}}}"/>
        <Setter Property="Data" Value="M 0 0 L 1 0"/>
    </Style>

    <Style x:Key="MetroUI.PathStyle.Line.Vertical.Secondary.ListBoxItem.Light" TargetType="{x:Type Path}">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="Margin" Value="2,4"/>
        <Setter Property="Focusable" Value="False"/>
        <Setter Property="Stretch" Value="Uniform"/>
        <Setter Property="StrokeThickness" Value="1"/>
        <Setter Property="Stroke" Value="{Binding Path=BorderBrush, RelativeSource={RelativeSource AncestorType={x:Type ListBoxItem}}}"/>
        <Setter Property="Data" Value="M 0 0 L 0 1"/>
    </Style>

    <Style x:Key="MetroUI.PathStyle.Line.Horizontal.Dark" TargetType="{x:Type Path}">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="Margin" Value="10,5"/>
        <Setter Property="Focusable" Value="False"/>
        <Setter Property="Stretch" Value="Uniform"/>
        <Setter Property="StrokeThickness" Value="1.5"/>
        <Setter Property="Stroke" Value="#2c302d"/>
        <Setter Property="Data" Value="M 0 0 L 1 0"/>
    </Style>

    <Style x:Key="MetroUI.PathStyle.Line.Vertical.Dark" TargetType="{x:Type Path}">
        <Setter Property="HorizontalAlignment" Value="Stretch"/>
        <Setter Property="VerticalAlignment" Value="Stretch"/>
        <Setter Property="Margin" Value="5,10"/>
        <Setter Property="Focusable" Value="False"/>
        <Setter Property="Stretch" Value="Uniform"/>
        <Setter Property="StrokeThickness" Value="1.5"/>
        <Setter Property="Stroke" Value="#2c302d"/>
        <Setter Property="Data" Value="M 0 0 L 0 1"/>
    </Style>

</ResourceDictionary>